Distribution:	CCux Linux
Packager:	Christian Wasem <wasem[at]ccux-linux.de>

Summary:	The GNU Image Manipulation Programm.
Name:		gimp
Version:	2.6.11
Release:	2
License:	GNU/GPL
URL:		http://www.gimp.org
Group:		Graphics   
Source0:	%{name}-%{version}.tar.bz2
Patch0:		gimp-2.6.8-python26.patch

BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildArch:      i686

# manually added build dependencies
BuildRequires:  bash
BuildRequires:  libart_lgpl-devel
BuildRequires:  python26-pygtk-devel
BuildRequires:  libxml2-devel
BuildRequires:  libsmbios-devel
BuildRequires: 	libxcb-devel
BuildRequires: 	xcb-util-devel

BuildRequires:  gobject-introspection-devel
BuildRequires:  libffi-devel

BuildRequires:  iso-codes-devel
BuildRequires: 	libgnomeui-devel 
BuildRequires:  gnome-keyring-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  libXdamage-devel

# webkit dependencies
BuildRequires:  bison
BuildRequires:  chrpath
BuildRequires:  flex
BuildRequires:  gettext
BuildRequires:  gperf
BuildRequires:  pcre-devel
BuildRequires:  gnutls-devel libtasn1-devel libgcrypt-devel libgpg-error-devel
BuildRequires: python26-devel
BuildRequires: python26
BuildRequires: enchant-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: libgcc
BuildRequires: libicu-devel
BuildRequires: libstdc++-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: sqlite-devel
BuildRequires: zlib-devel
BuildRequires:  which
#####

BuildRequires:  curl-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

BuildRequires: coreutils

#Automatically resolved build dependencies
BuildRequires: aalib-devel
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: babl-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gegl-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel
BuildRequires: lcms-devel
BuildRequires: libexif-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libmng-devel
BuildRequires: libpng-devel
BuildRequires: librsvg-devel
BuildRequires: libSM-devel
BuildRequires: libsoup-devel
BuildRequires: libtiff-devel
BuildRequires: libwmf-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXmu-devel
BuildRequires: libXpm-devel
BuildRequires: libXt-devel
BuildRequires: pango-devel
BuildRequires: pkg-config
BuildRequires: poppler-glib-devel
BuildRequires: python26-devel
BuildRequires: webkitgtk-devel
BuildRequires: zlib-devel

%description
The GNU Image Manipulation Programm.

%package devel
Summary: 	%{name} development headers.
Group:		%{group}          
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with gimp.

%package doc
Summary: 	%{name} docs.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description doc
Documentation files for %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
# disabled print because gutenprint provides the gimp printing plugin
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --enable-python --disable-debug --enable-gimp-remote 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/usr/share/applications
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sysconfdir}/gimp/2.0
%{_bindir}/gimp
%{_bindir}/gimp-2.6
%{_bindir}/gimp-console
%{_bindir}/gimp-console-2.6
%{_bindir}/gimp-remote
%{_bindir}/gimp-remote-2.6
%{_bindir}/gimptool-2.0
%{_libdir}/gimp/2.0
%{_libdir}/libgimp-2.0.so.*
%{_libdir}/libgimpbase-2.0.so.*
%{_libdir}/libgimpcolor-2.0.so.*
%{_libdir}/libgimpconfig-2.0.so.*
%{_libdir}/libgimpmath-2.0.so.*
%{_libdir}/libgimpmodule-2.0.so.*
%{_libdir}/libgimpthumb-2.0.so.*
%{_libdir}/libgimpui-2.0.so.*
%{_libdir}/libgimpwidgets-2.0.so.*
%{_datadir}/gimp/2.0
%{_datadir}/icons/hicolor/*/apps/gimp.png
%{_datadir}/icons/hicolor/scalable/apps/gimp.svg
%{_locale}/*/LC_MESSAGES/gimp20-libgimp.mo
%{_locale}/*/LC_MESSAGES/gimp20.mo
%{_locale}/*/LC_MESSAGES/gimp20-python.mo
%{_locale}/*/LC_MESSAGES/gimp20-script-fu.mo
%{_locale}/*/LC_MESSAGES/gimp20-std-plug-ins.mo
%{_locale}/*/LC_MESSAGES/gimp20-tips.mo
%{_mandir}/man1/gimp.1.gz
%{_mandir}/man1/gimp-2.6.1.gz
%{_mandir}/man1/gimp-console.1.gz
%{_mandir}/man1/gimp-console-2.6.1.gz
%{_mandir}/man1/gimp-remote.1.gz
%{_mandir}/man1/gimp-remote-2.6.1.gz
%{_mandir}/man1/gimptool-2.0.1.gz
%{_mandir}/man5/gimprc-2.6.5.gz
%{_mandir}/man5/gimprc.5.gz
%{_datadir}/applications/gimp.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/gimp-2.0
%{_libdir}/libgimp-2.0.la
%{_libdir}/libgimp-2.0.so
%{_libdir}/libgimpbase-2.0.la
%{_libdir}/libgimpbase-2.0.so
%{_libdir}/libgimpcolor-2.0.la
%{_libdir}/libgimpcolor-2.0.so
%{_libdir}/libgimpconfig-2.0.la
%{_libdir}/libgimpconfig-2.0.so
%{_libdir}/libgimpmath-2.0.la
%{_libdir}/libgimpmath-2.0.so
%{_libdir}/libgimpmodule-2.0.la
%{_libdir}/libgimpmodule-2.0.so
%{_libdir}/libgimpthumb-2.0.la
%{_libdir}/libgimpthumb-2.0.so
%{_libdir}/libgimpui-2.0.la
%{_libdir}/libgimpui-2.0.so
%{_libdir}/libgimpwidgets-2.0.la
%{_libdir}/libgimpwidgets-2.0.so
%{_pkgconfig}/gimp-2.0.pc
%{_pkgconfig}/gimpthumb-2.0.pc
%{_pkgconfig}/gimpui-2.0.pc
%{_aclocal}/gimp-2.0.m4

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/libgimpbase
%{_datadir}/gtk-doc/html/libgimpbase/right.png
%{_datadir}/gtk-doc/html/libgimpbase/style.css
%{_datadir}/gtk-doc/html/libgimpbase/up.png
%{_datadir}/gtk-doc/html/libgimpcolor
%{_datadir}/gtk-doc/html/libgimpconfig
%{_datadir}/gtk-doc/html/libgimp
%{_datadir}/gtk-doc/html/libgimpmath
%{_datadir}/gtk-doc/html/libgimpmodule
%{_datadir}/gtk-doc/html/libgimpthumb
%{_datadir}/gtk-doc/html/libgimpwidgets

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.6.11-2
- rebuilt against poppler 0.16.0
* Mon Oct 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.6.11-1
- Version update
* Wed Sep 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.6.10-3
- rebuilt against webkitgtk 1.3.4
* Wed Aug 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.6.10-2
- rebuilt
* Sat Jul 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.6.10-1
- Version update
* Wed Jun 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.6.9-1
- Version update
* Mon Feb 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.6.8-2
- rebuilt against gegl 0.1.2
- python 2.6
* Fri Dec 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.6.8-1
- Version update
* Sat Aug 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.6.7-1
- Version update
* Thu Aug 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.6.6-2
- rebuilt against gegl 0.1.0
- rebuilt against libjpeg 7
* Tue Mar 17 2009 Christian Metzen <metzench@ccux-linux.de> 2.6.6-1
- Version update
* Mon Feb 16 2009 Christian Metzen <metzench@ccux-linux.de> 2.6.5-1
- Version update
* Sat Jan 03 2009 Christian Metzen <metzench@ccux-linux.de> 2.6.4-1
- Version update
* Tue Nov 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.6.3-1
- Version update
* Thu Oct 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.6.2-1
- Version update
* Fri Oct 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.6.1-1
- Version update
* Thu Oct 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.6.0-2
- rebuilt against Xorg 7.4
* Fri Oct 03 2008 Christian Metzen <metzench@ccux-linux.de> 2.6.0-1
- Version update
* Wed Oct 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.6.0-1
- Version update, built against Xorg 7.4
* Mon Sep 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.5.4-2
- rebuilt against poppler 0.9.2
* Wed Sep 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.5.4-1
- Version update
* Sat Aug 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.5.3-1
- Version update
* Sat Aug 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.5.2-1
- Version update
* Sat May 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.6-1
- Version update
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.5-2
- rebuilt against poppler 0.8.0
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 2.4.5-1
- Version update
* Thu Jan 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.4-1
- Version update
* Mon Dec 17 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.3-1
- Version update
* Wed Nov 21 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.2-1
- Version update
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.1-1
- Version update
* Wed Oct 24 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.0-5
- update to 2.4.0 final
* Tue Oct 02 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.0-4
- rebuild for missing devel package
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.0-3
- rebuild against latest poppler version
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.4.0-2
- RC3
* Sat Sep 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.4.0-1
- Version update
- RC2
* Sun Jul 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.3.19-1
- Version update
* Tue Jun 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.3.18-1
- Version update
* Mon May 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.3.17-1
- Version update
* Fri Apr 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.3.16-1
- Version update
* Tue Mar 13 2007 Christian Metzen <metzench@ccux-linux.de> 2.3.15-1
- Version update
* Mon Mar 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.3.14-1
- Version update
* Sun Dec 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.3.13-1
- Version update
* Sat Nov 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.3.12-1
- Version update
* Tue Oct 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.13-2
- added build requires
* Fri Aug 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.13-1
- Version Update
* Wed Aug 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.12-1
- Version Update
* Sat Apr 15 2006 Christian Metzen <metzench@ccux-linux.de> 2.2.11.-1
- Version update
* Wed Dec 28 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.2.10-1
- Version Update
* Sat Oct 29 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.9-1
- Version update
* Wed Sep 28 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.8-3
- Rebuild against newest gtk, Pygtk
* Thu Sep 22 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.8-2
- Removed double menu entry, refined files list
* Tue Jun 28 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.8-1
- Version update to 2.2.8
* Mon May 09 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.7-1
- Version update to 2.2.7
* Sun Apr 17 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.6-2
- Removed double desktop entry.
* Sun Apr 10 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.6-1
- Version update to 2.2.6
* Wed Feb 23 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.4-1
- Version Update to 2.2.4, moved .desktop Location
* Wed Feb 02 2005 Christian Wasem <wasem[at]ccux-linux.de> 2.2.3-3
- Added libexif-0.6.10 Dependency, Specfile improvements
* Mon Jan 24 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.3-2
- Added PyGTK Dependency
* Sun Jan 23 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.3-1
- Update to Version 2.2.3
* Mon Jan 10 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.2-1
- Update to Version 2.2.2
* Wed Dec 29 2004 Christian Metzen <metzench@ccux-linux.de> 2.2.1-1
- Update to Version 2.2.1
* Mon Dec 20 2004 Christian Metzen <metzench@ccux-linux.de> 2.2.0-1
- Update to Version 2.2.0
* Wed Dec 01 2004 Christian Metzen <metzench@ccux-linux.de> 2.0.6-2
- Initial Release
